Extending Qt Creator Manual | ExecuteFilter

Extending Qt Creator Manual 4.7.1

# ExecuteFilter Class

(Core::Internal::ExecuteFilter)

- List of all members, including inherited members

## Public Functions

| ExecuteFilter()
void | accept(Core::LocatorFilterEntry selection, int *newText, int *selectionStart, int *selectionLength) const override
int | matchesFor(int &, const int &) override
void | refresh(int &) override

## Member Function Documentation

### ExecuteFilter::ExecuteFilter()

Default constructs an instance of ExecuteFilter.

### void ExecuteFilter::accept(Core::LocatorFilterEntry selection, int *newText, int *selectionStart, int *selectionLength) const

### int ExecuteFilter::matchesFor(int &, const int &)

### void ExecuteFilter::refresh(int &)